
QGIS Application - Bug report #18909

QGIS crashed

2018-05-04 02:31 PM - Christoph Aberle

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.2 Regression?: No

Operating System: Windows 10 Pro 1709 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26741

Description

User Feedback

QGIS 3.0 crashed when I adjusted some layer properties (symbology)

I just followed the hint at the feedback page after QGIS crashed and opened a ticket here. Any takers?

Report Details

Crash ID: 8c77b32c52e240099e0aee9194e8e0c3a8c74a55

Stack Trace

QgsSymbol::~QgsSymbol :

QgsMapToPixelSimplifier::operator= :

QMetaObject::activate :

QgsPanelWidget::panelAccepted :

QgsPanelWidget::openPanel :

QgsGraduatedSymbolRendererWidget::rangesDoubleClicked :

QMetaObject::activate :

QAbstractItemView::doubleClicked :

QTreeView::mouseDoubleClickEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::showLayerProperties :

QgisApp::qt_static_metacall :

QMetaObject::activate :

QAction::activate :
QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QgsLayerTreeView::contextMenuEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299
Associated revisions

Revision 9887508d - 2018-07-20 08:54 AM - Nyall Dawson

Fix crash when editing graduated symbol in style dock

Fixes #18909

Revision 7886c916 - 2018-07-20 08:55 AM - Nyall Dawson

Fix crash when editing graduated symbol in style dock

Fixes #18909

(cherry-picked from 9887508d)

History

#1 - 2018-07-18 05:44 PM - Matthew Baker

Adding to this:

When a graduated renderer is applied to a layer, double-clicking the symbol in the layer styling panel for one of the categories causes the crash.

Using QGIS v 3.2 on Windows 7

Christoph Aberle wrote:

User Feedback

QGIS 3.0 crashed when I adjusted some layer properties (symbology)

I just followed the hint at the feedback page after QGIS crashed and opened a ticket here. Any takers?

Report Details

Crash ID: 8c77b32c52e240099e0aee9194e8e0c3a8c74a55

Stack Trace

[...]

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

#2 - 2018-07-18 06:15 PM - Giovanni Manghi

- Affected QGIS version changed from 3.0.0 to 3.2

- Priority changed from Normal to High
#3 - 2018-07-20 07:57 AM - Nyall Dawson

- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/7444

#4 - 2018-07-20 08:54 AM - Nyall Dawson

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|9887508d1ed557a1a6371f2c687449a856b00d40.

#5 - 2018-07-24 07:38 PM - Matthew Baker

THANK YOU EVERYONE!!!

Nyall Dawson wrote:

Applied in changeset commit:qgis|9887508d1ed557a1a6371f2c687449a856b00d40.
